local Assets =
{
	Asset("ANIM", "anim/walkie_talkie.zip"),
    Asset("ATLAS", "images/inventoryimages/walkie_talkie.xml"),
	Asset("IMAGE", "images/inventoryimages/walkie_talkie.tex"),		
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("walkie_talkie")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/walkie_talkie.xml"
	inst.entity:AddMiniMapEntity()	
	inst.MiniMapEntity:SetIcon( "walkie_talkie.tex" )	

	inst:AddComponent("inspectable")
	
	inst:AddComponent("tradable")
    inst.components.tradable.goldvalue = TUNING.GOLD_VALUES.TRINKETS[9]
	
    
    return inst
end

STRINGS.NAMES.WALKIE_TALKIE = "Walkie-talkie"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WALKIE_TALKIE = "It's broken. But I want to keep it."

return Prefab( "common/inventory/walkie_talkie", fn, Assets)